Skip to main content
PUT
Perform an action on an expense report export

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The unique identifier of the organization UUID without dashes (32-character hex string)

Pattern: ^[0-9a-fA-F]{32}$
Example:

"05b8daba9ba14a49846fe77883248cf0"

expenseReportExportId
string
required

External identifier of the export file, as returned in the id field of the list endpoint response. String. Required.

Query Parameters

action
enum<string>
required

Action to perform on the export. String, enum. Accepted values: sendBackFromFile. Required.

Available options:
sendBackFromFile

Response

The reports of the export were sent back

expenseReportIds
string[]

The reports that were sent back. Array of strings, UUID format (32-character hexadecimal).

UUID without dashes (32-character hex string)

Pattern: ^[0-9a-fA-F]{32}$